<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInterestedDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interested_details', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('interested_id')->unsigned();
            $table->string('browser')->nullable();
            $table->string('browser_version')->nullable();
            $table->string('devise')->nullable();
            $table->string('devise_type')->nullable();
            $table->string('platform')->nullable();
            $table->string('platform_version')->nullable();
            $table->double('session_time', 8, 2)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interested_details');
    }
}
